Name: 		kdbg
Version: 	2.1.1
Release: 	%mkrel 1
License: 	GPLv2+
Summary: 	A Graphical Debugger Interface
URL: 		http://www.kdbg.org
Group: 		Development/Other
Source: 	http://peterhost.dl.sourceforge.net/sourceforge/kdbg/%{name}-%{version}.tar.gz
BuildRoot: 	%_tmppath/%{name}-buildroot
Requires:	gdb
BuildRequires:	kdelibs-devel

%description
KDbg is a graphical user interface to gdb, the GNU debugger. 

It provides an intuitive interface for setting breakpoints,
inspecting variables, and stepping through code. 

%prep
%setup -q

%build
%configure_kde3 --disable-final
%make

%install
rm -f %buildroot
%makeinstall_std

%find_lang %name --with-html

rm -f %buildroot/%_kde3_datadir/types.html

%if %mdkversion < 200900
%post 
%update_menus
%endif
  
%if %mdkversion < 200900
%postun 
%clean_menus
%endif

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr (-,root,root)
%doc ChangeLog README 
%_kde3_bindir/%name
%_kde3_datadir/config/kdbgrc
%_kde3_datadir/applications/kde/kdbg.desktop
%_kde3_datadir/apps/kdbg
%_kde3_datadir/icons/*/*/apps/*.png


%changelog
* Sun Dec 21 2008 Funda Wang <fundawang@mandriva.org> 2.1.1-1mdv2009.0
+ Revision: 316880
- New version 2.1.1
- switch to /opt

* Sat Nov 08 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-3mdv2009.1
+ Revision: 301002
- rebuilt against new libxcb

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 2.1.0-2mdv2009.0
+ Revision: 218429
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.0-2mdv2008.1
+ Revision: 141710
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Funda Wang <fundawang@mandriva.org> 2.1.0-1mdv2008.1
+ Revision: 136368
- New version 2.1.0
- Updated URL

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jun 26 2007 Funda Wang <fundawang@mandriva.org> 2.0.5-1mdv2008.0
+ Revision: 44315
- New version
- Import kdbg



* Thu Sep 14 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0.3-2
- Fix generate menu

* Tue Jan 24 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0.3-1
- 2.0.3

* Wed Nov 30 2005 Laurent MONTEL <lmontel@mandriva.com> 2.0.2-1
- 2.0.2

* Wed Oct 26 2005 Laurent MONTEL <lmontel@mandriva.com> 2.0.1-1
- 2.0.1

* Mon Jul 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.0.0-1mdk
- New release 2.0.0

* Mon Mar 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.7-1mdk
- 1.9.7

* Fri Aug 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.6-1mdk
- 1.9.6

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 1.2.9-4mdk
- Rebuild

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.9-3mdk
- Rebuild

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.9-2mdk
- Rebuild

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.9-1mdk
- 1.2.9

* Thu Jul 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.8-2mdk
- Rebuild

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.8-1mdk
- 1.2.8

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.7-2mdk
- Fix spec file

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.7-1mdk
- update

* Sat Nov 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.6-2mdk
- Make it lib64 aware

* Sun Oct 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.6-1mdk
- 1.2.6

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.5-4mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.5-3mdk
- Rebuild against gcc-3.2

* Thu Jun 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.5-2mdk
- port to kde3.0

* Wed Mar 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.5-1mdk
- Update code 1.2.5

* Thu Jan 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.4-2mdk
- Add language file (bug reported by DUCLOS Andre <shirka@wanadoo.fr>)

* Sun Jan 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.4-1mdk
- Update code (1.2.4)

* Wed Jan 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.3-0.1mdk
- update code 

* Mon Nov  5 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-0.4mdk
- BuildRequires revisited

* Thu Oct 18 2001 Daouda LO <daouda@mandrakesoft.com> 1.2.2-0.3mdk
- spec cleanups
- rpmlint compliant

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-0.2mdk
- Rebuild with new kdelibs

* Tue Aug 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.2-0.1mdk
- Update code (1.2.2)

* Sat Jun 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-0.2mdk
- Rebuild with kde2.2alpha2

* Wed May 2 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.1-0.1mdk
- Update code

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.6mdk
- Move KDE menu entry in %%_datadir/applnk
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.5mdk
- Fix BuildRequires for non %%ix86 architectures

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.0-0.4mdk
- Add build requires 

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2.0-0.3mdk
- Rebuild against Qt 2.3.0

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.2.0-0.2mdk
- rebuild

* Fri Dec 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-0.1mdk
- new in contribs
